This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 13652 - Anaconda/kudzu hardware detection for floppies
Anaconda/kudzu hardware detection for floppies
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 14:43 EDT by Ed McKenzie
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-08 17:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-07-10 14:43:39 EDT
The installer (and, after installation, kudzu) always assumes that there's a 
floppy drive present, even when that's not the case. dmesg shows that the 
kernel probed for and didn't find an FDC, but kudzu doesn't modify /etc/
fstab to reflect this.
Comment 1 Bill Nottingham 2001-08-07 02:07:26 EDT
Fixed in the 7.2beta. (kudzu-0.99.10 and later.)
Comment 2 Ed McKenzie 2001-08-07 17:03:21 EDT
It doesn't appear to be working for me in Roswell.  What should my fstab look
like if I a.) don't have a floppy drive and the BIOS support is enabled, and b.)
if BIOS support is disabled?  In both cases I still see /dev/fd0 in /etc/fstab.

(If I disable support in the BIOS, I get missing module warnings for major 2
when kudzu runs.)
Comment 3 Bill Nottingham 2001-08-07 23:37:36 EDT
What does 'kudzu -p -b misc' say for you, and what does the kernel think
you have attached if you look at dmesg?
Comment 4 Ed McKenzie 2001-08-08 08:50:25 EDT
'kudzu -p -b misc' has no output.  Relevant lines in dmesg:

ide-floppy driver 0.97
...
FDC 0 is a post-1991 82077
ide-floppy driver 0.97

This is with floppy support enabled in the BIOS.
Comment 5 Bill Nottingham 2001-08-08 13:45:11 EDT
That shows that it's not detecting a floppy drive.

However, any entries for /dev/fd0 not created by updfstab (i.e., the static
ones created by pre-Roswell installers, for example) are not removed - is
that what you're seeing?
Comment 6 Ed McKenzie 2001-08-08 13:58:03 EDT
Yes.  Anaconda (from a clean Roswell install) created an fstab with a /dev/fd0
even though no such device existed at install.

I guess that makes this an anaconda bug.
Comment 7 Jeremy Katz 2001-08-09 23:52:28 EDT
anaconda has been changed to not add the floppy to the fstab, allowing updfstab
do so from kudzu

Note You need to log in before you can comment on or make changes to this bug.